Subject: Re: Questions/investigations on git-subtree and tags

From: Jeremy Rosen <[email-masked]>
Date: Thu, 7 Mar 2013 12:05:51 +0100 (CET)

> 
> Hi Jérémy,
> 
> Git subtree ignores tags from the remote repo.
> 

is that a design decision or a case of "not implemented yet"

> To follow a project in a subdirectory I would use git-subtree add
> selecting a branch, not a tag, from the other repo. Then use
> git-subtree pull to keep yourself updated.
> 

well... yes, but releases are marked by tags, not branches so what I really want is a tag.

I still use git so I have the possibility to update and can traceback what happened later

> e.g.
> 
> To add:
> 
> git subtree add --prefix=$subdir $repo $branch
> 
> Then to update:
> 
> git subtree pull --prefix=$subdir $repo $branch
> 

ok, that probably works with branches (didn't test)

> If you make any changes on the branch and wanted to push them back
> you
> could do that with:
> 
> git subtree pull --prefix=$subdir $repo2 $branch2
> 
> $repo2 and $branch2 would be different from $repo and $branch if you
> wanted to push to your own fork before submitting a pull request.
> 

shouldn't there be a subtree split somewhere ? IIUC pull is only merge from the remote to my local repo,
not the other way round

> --
> Paul [W] Campbell